Software Defined Networking
cancel
Showing results for 
Search instead for 
Did you mean: 

Van Controller x Ubuntu 13.10

 
Highlighted
Advisor

Van Controller x Ubuntu 13.10

Is there some trick to install the Van Controller in the Ubuntu 13.10 version?

7 REPLIES 7
Highlighted
Trusted Contributor

Re: Van Controller x Ubuntu 13.10

Hi vandewilly,

 

As per the HP_VAN_SDN_Controller_Installation_Guide.pdf ,software requirements [page 4] support Ubuntu 12.04 LTS 64-bit Server (Linux 3.2 kernel) and not 13.10 The guide mentions this in point 2 [page 5]as below-

 

2. Ensure that your system has internet access, and is running the following software:

• Ubuntu 12.04 LTS 64-bit Server (Linux 3.2 kernel)

NOTE: The Ubuntu Linux OS can run on physical hardware or as a virtual machine (VM). When run as a virtual machine, the following hypervisors are supported:

◦ KVM Version 2.4.5–1 and greater

◦ ESXi Versions 5.0.0, 5.0.1, and greater

 

 

Since Ubuntu 13.10 is not supported so there might be other issues too.

One of the key differences is on 12.04 LTS we use Keystone form the Folsom release of Openstack from the cloud archive and on 13.10  we believe it is from the Havana release of OpenStack..

 

 

Thanks,

HP SDN Team

Highlighted
Trusted Contributor

Re: Van Controller x Ubuntu 13.10

Hello vandewilly,

 

Doing a follow up to check if you need any further assistance with respect to the query posted.

Please do let us know  if your problem is solved.

If you have more questions on the same topic please do reply on the same thread or open a new post if new topic.

 

 

Thanks

HP SDN Team

Highlighted
Esteemed Contributor

Re: Van Controller x Ubuntu 13.10

I happened to install VAN controller 2.2 on Ubuntu 13.10. Everything seems to go as mentioned in the document. No errors. Once you try to login it returns a blank page. Do let me know if you need any logs for investigation.

 

Help do get returned..

 

Pradeep

Highlighted
Esteemed Contributor

Re: Van Controller x Ubuntu 13.10

Hi Pradeep

 

I would suggest you have a look at the second post in this thread by Sdindia for details, but basically the HP VAN SDN Controller requires you to be using Ubuntu 12.04 LTS, and there is further requirements documented in the Installation guide as there is certain software versioning requirements.

 

Kind Regards

Gerhard

Highlighted
Esteemed Contributor

Re: Van Controller x Ubuntu 13.10

Hello Gerhard,

 

Thank you for the reply. I was able to get it running on Ubuntu 12.04. I was wondering if logs from my 13.10 system to be of any help in research or compatibility tests going on.

 

Thanks

Pradeep

Highlighted
Trusted Contributor

Re: Van Controller x Ubuntu 13.10

Hello Pradeep,

 

Could you please share the logs?

 

Thanks,

HP SDN Team

Highlighted
Esteemed Contributor

Re: Van Controller x Ubuntu 13.10

Team,

 

Am sorry. I removed my 13.10 machine today to make space for another system. Do feel free to reach out for any specific test you want me to get into.. I have 12.04 system active now.